Backend Demos

This page consists of screenshots from the Installation Screen – Mail Booster WordPress Plugin.

This gives an idea about the Installation Process.

The following set of lists are the Minimum Requirements for installing Mail Booster Plugin on your machine.

  • WordPress 3.3+
  • PHP 5.x
  • MySQL 5.x

You can easily install the Standard Edition of Mail Booster through https://wordpress.org/.

For the Premium Edition, you need to first download the plugin sent via a link in your email. After that deactivate the Standard Edition & upload the Premium Edition zip file.

mail-booster-installation

If any problem occurs during the installation process, please contact us at tickets@tech-banker.com